LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::FieldUnit Constant Group Reference

specifies attributes for the MetricField map units. More...

## Variables
const short | FUNIT_NONE = 0
const short | FUNIT_MM = 1
const short | FUNIT_CM = 2
const short | FUNIT_M = 3
const short | FUNIT_KM = 4
const short | FUNIT_TWIP = 5
const short | FUNIT_POINT = 6
const short | FUNIT_PICA = 7
const short | FUNIT_INCH = 8
const short | FUNIT_FOOT = 9
const short | FUNIT_MILE = 10
const short | FUNIT_CUSTOM = 11
const short | FUNIT_PERCENT = 12
const short | FUNIT_100TH_MM = 13

## Detailed Description

specifies attributes for the MetricField map units.

IMPORTANT: These constants have to be disjunct with constants in util/MeasureUnit.

## Variable Documentation

## ◆ FUNIT_100TH_MM

const short FUNIT_100TH_MM = 13

## ◆ FUNIT_CM

const short FUNIT_CM = 2

## ◆ FUNIT_CUSTOM

const short FUNIT_CUSTOM = 11

## ◆ FUNIT_FOOT

const short FUNIT_FOOT = 9

## ◆ FUNIT_INCH

const short FUNIT_INCH = 8

## ◆ FUNIT_KM

const short FUNIT_KM = 4

## ◆ FUNIT_M

const short FUNIT_M = 3

## ◆ FUNIT_MILE

const short FUNIT_MILE = 10

## ◆ FUNIT_MM

const short FUNIT_MM = 1

## ◆ FUNIT_NONE

const short FUNIT_NONE = 0

## ◆ FUNIT_PERCENT

const short FUNIT_PERCENT = 12

## ◆ FUNIT_PICA

const short FUNIT_PICA = 7

## ◆ FUNIT_POINT

const short FUNIT_POINT = 6

## ◆ FUNIT_TWIP

const short FUNIT_TWIP = 5